% function savetoloc
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
[batchfilename,batchfilepath]=uigetfile('*.*','batchfile auswählen:');
[savefile,savepath]=uigetfile('*.*','Datei in Zielordner auswählen:');
filemat=batchfiletomat(batchfilename,batchfilepath);
filematgroessevec=size(filemat);
filematgroesse=filematgroessevec(2);
targetfile='';
for i=1:filematgroesse
    picmat=imread(filemat{i},'jpg');
    targetfilename=filemat{i}(findstr(filemat{i},'.')-4:findstr(filemat{i},'.')+3);
    targetfile=[savepath,targetfilename];
    imwrite(picmat,targetfile,'jpg');
     
end